import{s as Pt,o as Et,n as jt}from"../chunks/scheduler.c59d9fbb.js";import{S as Bt,i as Dt,g as i,s as o,r as k,A as Gt,h as a,f as c,c as n,j as ue,u as I,x as s,k as zt,y as t,a as f,v as F,d as A,t as z,w as P}from"../chunks/index.a47918e3.js";import{T as Nt}from"../chunks/Tip.3fcf4aa4.js";import{H as fe,E as Wt}from"../chunks/EditOnGithub.813e7c73.js";function Ut(he){let h,v=`When set to <code>True</code>, the parameters <code>save_strategy</code> needs to be the same as <code>eval_strategy</code>, and in
the case it is “steps”, <code>save_steps</code> must be a round multiple of <code>eval_steps</code>.`;return{c(){h=i("p"),h.innerHTML=v},l(g){h=a(g,"P",{"data-svelte-h":!0}),s(h)!=="svelte-1r7jez5"&&(h.innerHTML=v)},m(g,E){f(g,h,E)},p:jt,d(g){g&&c(h)}}}function Ot(he){let h,v,g,E,_,ge,b,nt="To update your code to work with v1.0.0, the following changes must be made:",me,T,ve,w,it="<li><code>keep_body_frozen</code> from <code>SetFitModel.unfreeze</code> has been deprecated, simply either pass <code>&quot;head&quot;</code>, <code>&quot;body&quot;</code> or no arguments to unfreeze both.</li> <li><code>SupConLoss</code> has been moved from <code>setfit.modeling</code> to <code>setfit.losses</code>. If you are importing it using <code>from setfit.modeling import SupConLoss</code>, then import it like <code>from setfit import SupConLoss</code> now instead.</li> <li><code>use_auth_token</code> has been renamed to <code>token</code> in <code>SetFitModel.from_pretrained()</code>. <code>use_auth_token</code> will keep working until the next major version, but with a warning.</li>",_e,L,be,M,at='<li><p>Replace all uses of <code>SetFitTrainer</code> with <a href="/docs/setfit/pr_582/en/reference/trainer#setfit.Trainer">Trainer</a>, and all uses of <code>DistillationSetFitTrainer</code> with <a href="/docs/setfit/pr_582/en/reference/trainer#setfit.DistillationTrainer">DistillationTrainer</a>.</p></li> <li><p>Remove <code>num_iterations</code>, <code>num_epochs</code>, <code>learning_rate</code>, <code>batch_size</code>, <code>seed</code>, <code>use_amp</code>, <code>warmup_proportion</code>, <code>distance_metric</code>, <code>margin</code>, <code>samples_per_label</code> and <code>loss_class</code> from a <code>Trainer</code> initialization, and move them to a <code>TrainerArguments</code> initialization instead. This instance should then be passed to the trainer via the <code>args</code> argument.</p> <ul><li><code>num_iterations</code> has been deprecated, the number of training steps should now be controlled via <code>num_epochs</code>, <code>max_steps</code> or <a href="https://huggingface.co/docs/transformers/main_classes/callback#transformers.EarlyStoppingCallback" rel="nofollow"><code>EarlyStoppingCallback</code></a>.</li> <li><code>learning_rate</code> has been split up into <code>body_learning_rate</code> and <code>head_learning_rate</code>.</li> <li><code>loss_class</code> has been renamed to <code>loss</code>.</li></ul></li> <li><p>Stop providing training arguments like <code>num_epochs</code> directly to <code>Trainer.train</code>: pass a <code>TrainingArguments</code> instance via the <code>args</code> argument instead.</p></li> <li><p>Refactor multiple <code>trainer.train()</code>, <code>trainer.freeze()</code> and <code>trainer.unfreeze()</code> calls that were previously necessary to train the differentiable head into just one <code>trainer.train()</code> call by setting <code>batch_size</code> and <code>num_epochs</code> on the <code>TrainingArguments</code> dataclass with tuples. The first value in the tuple is for training the embeddings, and the second is for training the classifier.</p></li>',Te,y,we,H,lt="<li><code>SetFitBaseModel</code>, <code>SKLearnWrapper</code> and <code>SetFitPipeline</code> have been removed. These can no longer be used starting from v1.0.0.</li>",Le,q,Me,$,rt="This list contains new functionality that can be used starting from v1.0.0.",ye,u,j,st='<p><code>SetFitModel.from_pretrained()</code> now accepts new arguments:</p> <ul><li><code>device</code>: Specifies the device on which to load the SetFit model.</li> <li><code>labels</code>: Specify labels corresponding to the training labels - useful if the training labels are integers ranging from <code>0</code> to <code>num_classes - 1</code>. These are automatically applied on calling <a href="/docs/setfit/pr_582/en/reference/main#setfit.SetFitModel.predict">SetFitModel.predict()</a>.</li> <li><code>model_card_data</code>: Provide a <a href="/docs/setfit/pr_582/en/reference/main#setfit.SetFitModelCardData">SetFitModelCardData</a> instance storing data such as model language, license, dataset name, etc. to be used in the automatically generated model cards.</li></ul>',Se,B,dt="<p>Certain SetFit configuration options, such as the new <code>labels</code> argument from <code>SetFitModel.from_pretrained()</code>, now get saved in <code>config_setfit.json</code> files when a model is saved. This allows <code>labels</code> to be automatically fetched when a model is loaded.</p>",ke,D,ct='<p><a href="/docs/setfit/pr_582/en/reference/main#setfit.SetFitModel.predict">SetFitModel.predict()</a> now accepts new arguments:</p> <ul><li><code>batch_size</code> (defaults to <code>32</code>): The batch size to use in encoding the sentences to embeddings. Higher often means faster processing but higher memory usage.</li> <li><code>use_labels</code> (defaults to <code>True</code>): Whether to use the <code>SetFitModel.labels</code> to convert integer labels to string labels. Not used if the training labels are already strings.</li></ul>',Ie,G,ut='<p><a href="/docs/setfit/pr_582/en/reference/main#setfit.SetFitModel.encode">SetFitModel.encode()</a> has been introduce to convert input sentences to embeddings using the <code>SentenceTransformer</code> body.</p>',Fe,N,pt='<p><a href="/docs/setfit/pr_582/en/reference/main#setfit.AspectModel.device">SetFitModel.device</a> has been introduced to determine the device of the model.</p>',Ae,W,ft='<p><a href="/docs/setfit/pr_582/en/reference/trainer#setfit.AbsaTrainer">AbsaTrainer</a> and <a href="/docs/setfit/pr_582/en/reference/main#setfit.AbsaModel">AbsaModel</a> have been introduced for applying <a href="absa">SetFit for Aspect Based Sentiment Analysis</a>.</p>',ze,U,ht='<p><a href="/docs/setfit/pr_582/en/reference/trainer#setfit.Trainer">Trainer</a> now supports a <code>callbacks</code> argument for a list of <a href="https://huggingface.co/docs/transformers/main/en/main_classes/callback" rel="nofollow"><code>transformers</code> <code>TrainerCallback</code> instances</a>.</p> <ul><li>By default, all installed callbacks integrated with <code>transformers</code> are supported, including <a href="https://huggingface.co/docs/transformers/main/en/main_classes/callback#transformers.integrations.TensorBoardCallback" rel="nofollow"><code>TensorBoardCallback</code></a>, <a href="https://huggingface.co/docs/transformers/main/en/main_classes/callback#transformers.integrations.WandbCallback" rel="nofollow"><code>WandbCallback</code></a> to log training logs to <a href="https://www.tensorflow.org/tensorboard" rel="nofollow">TensorBoard</a> and <a href="https://wandb.ai" rel="nofollow">W&amp;B</a>, respectively.</li> <li>The <a href="/docs/setfit/pr_582/en/reference/trainer#setfit.Trainer">Trainer</a> will now print <code>embedding_loss</code> in the terminal, as well as <code>eval_embedding_loss</code> if <code>eval_strategy</code> is set to <code>&quot;epoch&quot;</code> or <code>&quot;steps&quot;</code> in <a href="/docs/setfit/pr_582/en/reference/trainer#setfit.TrainingArguments">TrainingArguments</a>.</li></ul>',Pe,O,gt='<p><a href="/docs/setfit/pr_582/en/reference/trainer#setfit.Trainer.evaluate">Trainer.evaluate()</a> now works with string labels.</p>',Ee,R,mt="<p>An updated contrastive pair sampler increases the variety of training pairs.</p>",je,x,K,vt='<a href="/docs/setfit/pr_582/en/reference/trainer#setfit.TrainingArguments">TrainingArguments</a> supports various new arguments:',Be,l,J,_t="<p><code>output_dir</code>: The output directory where the model predictions and checkpoints will be written.</p>",De,Q,bt="<p><code>max_steps</code>: If set to a positive number, the total number of training steps to perform. Overrides num_epochs. The training may stop before reaching the set number of steps when all data is exhausted.</p>",Ge,V,Tt="<p><code>sampling_strategy</code>: The sampling strategy of how to draw pairs in training. Possible values are:</p> <ul><li><code>&quot;oversampling&quot;</code>: Draws even number of positive/negative sentence pairs until every sentence pair has been drawn.</li> <li><code>&quot;undersampling&quot;</code>: Draws the minimum number of positive/negative sentence pairs until every sentence pair in the minority class has been drawn.</li> <li><code>&quot;unique&quot;</code>: Draws every sentence pair combination (likely resulting in unbalanced number of positive/negative sentence pairs).</li></ul> <p>The default is set to <code>&quot;oversampling&quot;</code>, ensuring all sentence pairs are drawn at least once. Alternatively, setting <code>num_iterations</code> will override this argument and determine the number of generated sentence pairs.</p>",Ne,X,wt="<p><code>report_to</code>: The list of integrations to report the results and logs to. Supported platforms are <code>&quot;azure_ml&quot;</code>, <code>&quot;comet_ml&quot;</code>, <code>&quot;mlflow&quot;</code>, <code>&quot;neptune&quot;</code>, <code>&quot;tensorboard&quot;</code>,<code>&quot;clearml&quot;</code> and <code>&quot;wandb&quot;</code>. Use <code>&quot;all&quot;</code> to report to all integrations installed, <code>&quot;none&quot;</code> for no integrations.</p>",We,Y,Lt='<p><code>run_name</code>: A descriptor for the run. Typically used for <a href="https://wandb.ai/" rel="nofollow">wandb</a> and <a href="https://www.mlflow.org/" rel="nofollow">mlflow</a> logging.</p>',Ue,Z,Mt="<p><code>logging_strategy</code>: The logging strategy to adopt during training. Possible values are:</p> <ul><li><code>&quot;no&quot;</code>: No logging is done during training.</li> <li><code>&quot;epoch&quot;</code>: Logging is done at the end of each epoch.</li> <li><code>&quot;steps&quot;</code>: Logging is done every <code>logging_steps</code>.</li></ul>",Oe,ee,yt="<p><code>logging_first_step</code>: Whether to log and evaluate the first <code>global_step</code> or not.</p>",Re,te,Ht="<p><code>logging_steps</code>: Number of update steps between two logs if <code>logging_strategy=&quot;steps&quot;</code>.</p>",Ke,oe,qt="<p><code>eval_strategy</code>: The evaluation strategy to adopt during training. Possible values are:</p> <ul><li><code>&quot;no&quot;</code>: No evaluation is done during training.</li> <li><code>&quot;steps&quot;</code>: Evaluation is done (and logged) every <code>eval_steps</code>.</li> <li><code>&quot;epoch&quot;</code>: Evaluation is done at the end of each epoch.</li></ul>",Je,ne,$t="<p><code>eval_steps</code>: Number of update steps between two evaluations if <code>eval_strategy=&quot;steps&quot;</code>. Will default to the same as <code>logging_steps</code> if not set.</p>",Qe,ie,xt="<p><code>eval_delay</code>: Number of epochs or steps to wait for before the first evaluation can be performed, depending on the <code>eval_strategy</code>.</p>",Ve,ae,Ct="<p><code>eval_max_steps</code>: If set to a positive number, the total number of evaluation steps to perform. The evaluation may stop before reaching the set number of steps when all data is exhausted.</p>",Xe,le,St="<p><code>save_strategy</code>: The checkpoint save strategy to adopt during training. Possible values are:</p> <ul><li><code>&quot;no&quot;</code>: No save is done during training.</li> <li><code>&quot;epoch&quot;</code>: Save is done at the end of each epoch.</li> <li><code>&quot;steps&quot;</code>: Save is done every <code>save_steps</code>.</li></ul>",Ye,re,kt="<p><code>save_steps</code>: Number of updates steps before two checkpoint saves if <code>save_strategy=&quot;steps&quot;</code>.</p>",Ze,se,It="<p><code>save_total_limit</code>: If a value is passed, will limit the total amount of checkpoints. Deletes the older checkpoints in <code>output_dir</code>. Note, the best model is always preserved if the <code>eval_strategy</code> is not <code>&quot;no&quot;</code>.</p>",et,C,de,Ft="<code>load_best_model_at_end</code>: Whether or not to load the best model found during training at the end of training.",tt,m,ot,ce,At='<p>Pushing SetFit or SetFitABSA models to the Hub with <code>SetFitModel.push_to_hub()</code> or <a href="/docs/setfit/pr_582/en/reference/main#setfit.AbsaModel.push_to_hub">AbsaModel.push_to_hub()</a> now results in a detailed model card. As an example, see <a href="https://huggingface.co/tomaarsen/setfit-paraphrase-mpnet-base-v2-sst2-8-shot" rel="nofollow">this SetFitModel</a> or <a href="https://huggingface.co/tomaarsen/setfit-absa-bge-small-en-v1.5-restaurants-polarity" rel="nofollow">this SetFitABSA polarity model</a>.</p>',He,S,qe,pe,$e;return _=new fe({props:{title:"SetFit v1.0.0 Migration Guide",local:"setfit-v100-migration-guide",headingTag:"h1"}}),T=new fe({props:{title:"General Migration Guide",local:"general-migration-guide",headingTag:"h2"}}),L=new fe({props:{title:"Training Migration Guide",local:"training-migration-guide",headingTag:"h2"}}),y=new fe({props:{title:"Hard deprecations",local:"hard-deprecations",headingTag:"h2"}}),q=new fe({props:{title:"v1.0.0 Changelog",local:"v100-changelog",headingTag:"h2"}}),m=new Nt({props:{$$slots:{default:[Ut]},$$scope:{ctx:he}}}),S=new Wt({props:{source:"https://github.com/huggingface/setfit/blob/main/docs/source/en/how_to/v1.0.0_migration_guide.mdx"}}),{c(){h=i("meta"),v=o(),g=i("p"),E=o(),k(_.$$.fragment),ge=o(),b=i("p"),b.textContent=nt,me=o(),k(T.$$.fragment),ve=o(),w=i("ol"),w.innerHTML=it,_e=o(),k(L.$$.fragment),be=o(),M=i("ol"),M.innerHTML=at,Te=o(),k(y.$$.fragment),we=o(),H=i("ul"),H.innerHTML=lt,Le=o(),k(q.$$.fragment),Me=o(),$=i("p"),$.textContent=rt,ye=o(),u=i("ul"),j=i("li"),j.innerHTML=st,Se=o(),B=i("li"),B.innerHTML=dt,ke=o(),D=i("li"),D.innerHTML=ct,Ie=o(),G=i("li"),G.innerHTML=ut,Fe=o(),N=i("li"),N.innerHTML=pt,Ae=o(),W=i("li"),W.innerHTML=ft,ze=o(),U=i("li"),U.innerHTML=ht,Pe=o(),O=i("li"),O.innerHTML=gt,Ee=o(),R=i("li"),R.innerHTML=mt,je=o(),x=i("li"),K=i("p"),K.innerHTML=vt,Be=o(),l=i("ul"),J=i("li"),J.innerHTML=_t,De=o(),Q=i("li"),Q.innerHTML=bt,Ge=o(),V=i("li"),V.innerHTML=Tt,Ne=o(),X=i("li"),X.innerHTML=wt,We=o(),Y=i("li"),Y.innerHTML=Lt,Ue=o(),Z=i("li"),Z.innerHTML=Mt,Oe=o(),ee=i("li"),ee.innerHTML=yt,Re=o(),te=i("li"),te.innerHTML=Ht,Ke=o(),oe=i("li"),oe.innerHTML=qt,Je=o(),ne=i("li"),ne.innerHTML=$t,Qe=o(),ie=i("li"),ie.innerHTML=xt,Ve=o(),ae=i("li"),ae.innerHTML=Ct,Xe=o(),le=i("li"),le.innerHTML=St,Ye=o(),re=i("li"),re.innerHTML=kt,Ze=o(),se=i("li"),se.innerHTML=It,et=o(),C=i("li"),de=i("p"),de.innerHTML=Ft,tt=o(),k(m.$$.fragment),ot=o(),ce=i("li"),ce.innerHTML=At,He=o(),k(S.$$.fragment),qe=o(),pe=i("p"),this.h()},l(e){const r=Gt("svelte-u9bgzb",document.head);h=a(r,"META",{name:!0,content:!0}),r.forEach(c),v=n(e),g=a(e,"P",{}),ue(g).forEach(c),E=n(e),I(_.$$.fragment,e),ge=n(e),b=a(e,"P",{"data-svelte-h":!0}),s(b)!=="svelte-azer33"&&(b.textContent=nt),me=n(e),I(T.$$.fragment,e),ve=n(e),w=a(e,"OL",{"data-svelte-h":!0}),s(w)!=="svelte-1n8vsgq"&&(w.innerHTML=it),_e=n(e),I(L.$$.fragment,e),be=n(e),M=a(e,"OL",{"data-svelte-h":!0}),s(M)!=="svelte-1pz1bjh"&&(M.innerHTML=at),Te=n(e),I(y.$$.fragment,e),we=n(e),H=a(e,"UL",{"data-svelte-h":!0}),s(H)!=="svelte-1ecgqu2"&&(H.innerHTML=lt),Le=n(e),I(q.$$.fragment,e),Me=n(e),$=a(e,"P",{"data-svelte-h":!0}),s($)!=="svelte-7h26ho"&&($.textContent=rt),ye=n(e),u=a(e,"UL",{});var p=ue(u);j=a(p,"LI",{"data-svelte-h":!0}),s(j)!=="svelte-jkrl6i"&&(j.innerHTML=st),Se=n(p),B=a(p,"LI",{"data-svelte-h":!0}),s(B)!=="svelte-149bi8k"&&(B.innerHTML=dt),ke=n(p),D=a(p,"LI",{"data-svelte-h":!0}),s(D)!=="svelte-1x5bq2c"&&(D.innerHTML=ct),Ie=n(p),G=a(p,"LI",{"data-svelte-h":!0}),s(G)!=="svelte-1q23exg"&&(G.innerHTML=ut),Fe=n(p),N=a(p,"LI",{"data-svelte-h":!0}),s(N)!=="svelte-povaj5"&&(N.innerHTML=pt),Ae=n(p),W=a(p,"LI",{"data-svelte-h":!0}),s(W)!=="svelte-fh1yew"&&(W.innerHTML=ft),ze=n(p),U=a(p,"LI",{"data-svelte-h":!0}),s(U)!=="svelte-z2d2gh"&&(U.innerHTML=ht),Pe=n(p),O=a(p,"LI",{"data-svelte-h":!0}),s(O)!=="svelte-ix0y9w"&&(O.innerHTML=gt),Ee=n(p),R=a(p,"LI",{"data-svelte-h":!0}),s(R)!=="svelte-1w3jntv"&&(R.innerHTML=mt),je=n(p),x=a(p,"LI",{});var xe=ue(x);K=a(xe,"P",{"data-svelte-h":!0}),s(K)!=="svelte-2vwn6x"&&(K.innerHTML=vt),Be=n(xe),l=a(xe,"UL",{});var d=ue(l);J=a(d,"LI",{"data-svelte-h":!0}),s(J)!=="svelte-1mlcl1"&&(J.innerHTML=_t),De=n(d),Q=a(d,"LI",{"data-svelte-h":!0}),s(Q)!=="svelte-2ipojz"&&(Q.innerHTML=bt),Ge=n(d),V=a(d,"LI",{"data-svelte-h":!0}),s(V)!=="svelte-85ywo4"&&(V.innerHTML=Tt),Ne=n(d),X=a(d,"LI",{"data-svelte-h":!0}),s(X)!=="svelte-zk0iep"&&(X.innerHTML=wt),We=n(d),Y=a(d,"LI",{"data-svelte-h":!0}),s(Y)!=="svelte-bcz3ki"&&(Y.innerHTML=Lt),Ue=n(d),Z=a(d,"LI",{"data-svelte-h":!0}),s(Z)!=="svelte-r5t1y5"&&(Z.innerHTML=Mt),Oe=n(d),ee=a(d,"LI",{"data-svelte-h":!0}),s(ee)!=="svelte-1y730ut"&&(ee.innerHTML=yt),Re=n(d),te=a(d,"LI",{"data-svelte-h":!0}),s(te)!=="svelte-y5k6tr"&&(te.innerHTML=Ht),Ke=n(d),oe=a(d,"LI",{"data-svelte-h":!0}),s(oe)!=="svelte-btd1b"&&(oe.innerHTML=qt),Je=n(d),ne=a(d,"LI",{"data-svelte-h":!0}),s(ne)!=="svelte-1l8umkm"&&(ne.innerHTML=$t),Qe=n(d),ie=a(d,"LI",{"data-svelte-h":!0}),s(ie)!=="svelte-188bxut"&&(ie.innerHTML=xt),Ve=n(d),ae=a(d,"LI",{"data-svelte-h":!0}),s(ae)!=="svelte-19c0inm"&&(ae.innerHTML=Ct),Xe=n(d),le=a(d,"LI",{"data-svelte-h":!0}),s(le)!=="svelte-1nw0np"&&(le.innerHTML=St),Ye=n(d),re=a(d,"LI",{"data-svelte-h":!0}),s(re)!=="svelte-nfxdvm"&&(re.innerHTML=kt),Ze=n(d),se=a(d,"LI",{"data-svelte-h":!0}),s(se)!=="svelte-3a90gr"&&(se.innerHTML=It),et=n(d),C=a(d,"LI",{});var Ce=ue(C);de=a(Ce,"P",{"data-svelte-h":!0}),s(de)!=="svelte-zzgay1"&&(de.innerHTML=Ft),tt=n(Ce),I(m.$$.fragment,Ce),Ce.forEach(c),d.forEach(c),xe.forEach(c),ot=n(p),ce=a(p,"LI",{"data-svelte-h":!0}),s(ce)!=="svelte-4oi960"&&(ce.innerHTML=At),p.forEach(c),He=n(e),I(S.$$.fragment,e),qe=n(e),pe=a(e,"P",{}),ue(pe).forEach(c),this.h()},h(){zt(h,"name","hf:doc:metadata"),zt(h,"content",Rt)},m(e,r){t(document.head,h),f(e,v,r),f(e,g,r),f(e,E,r),F(_,e,r),f(e,ge,r),f(e,b,r),f(e,me,r),F(T,e,r),f(e,ve,r),f(e,w,r),f(e,_e,r),F(L,e,r),f(e,be,r),f(e,M,r),f(e,Te,r),F(y,e,r),f(e,we,r),f(e,H,r),f(e,Le,r),F(q,e,r),f(e,Me,r),f(e,$,r),f(e,ye,r),f(e,u,r),t(u,j),t(u,Se),t(u,B),t(u,ke),t(u,D),t(u,Ie),t(u,G),t(u,Fe),t(u,N),t(u,Ae),t(u,W),t(u,ze),t(u,U),t(u,Pe),t(u,O),t(u,Ee),t(u,R),t(u,je),t(u,x),t(x,K),t(x,Be),t(x,l),t(l,J),t(l,De),t(l,Q),t(l,Ge),t(l,V),t(l,Ne),t(l,X),t(l,We),t(l,Y),t(l,Ue),t(l,Z),t(l,Oe),t(l,ee),t(l,Re),t(l,te),t(l,Ke),t(l,oe),t(l,Je),t(l,ne),t(l,Qe),t(l,ie),t(l,Ve),t(l,ae),t(l,Xe),t(l,le),t(l,Ye),t(l,re),t(l,Ze),t(l,se),t(l,et),t(l,C),t(C,de),t(C,tt),F(m,C,null),t(u,ot),t(u,ce),f(e,He,r),F(S,e,r),f(e,qe,r),f(e,pe,r),$e=!0},p(e,[r]){const p={};r&2&&(p.$$scope={dirty:r,ctx:e}),m.$set(p)},i(e){$e||(A(_.$$.fragment,e),A(T.$$.fragment,e),A(L.$$.fragment,e),A(y.$$.fragment,e),A(q.$$.fragment,e),A(m.$$.fragment,e),A(S.$$.fragment,e),$e=!0)},o(e){z(_.$$.fragment,e),z(T.$$.fragment,e),z(L.$$.fragment,e),z(y.$$.fragment,e),z(q.$$.fragment,e),z(m.$$.fragment,e),z(S.$$.fragment,e),$e=!1},d(e){e&&(c(v),c(g),c(E),c(ge),c(b),c(me),c(ve),c(w),c(_e),c(be),c(M),c(Te),c(we),c(H),c(Le),c(Me),c($),c(ye),c(u),c(He),c(qe),c(pe)),c(h),P(_,e),P(T,e),P(L,e),P(y,e),P(q,e),P(m),P(S,e)}}}const Rt='{"title":"SetFit v1.0.0 Migration Guide","local":"setfit-v100-migration-guide","sections":[{"title":"General Migration Guide","local":"general-migration-guide","sections":[],"depth":2},{"title":"Training Migration Guide","local":"training-migration-guide","sections":[],"depth":2},{"title":"Hard deprecations","local":"hard-deprecations","sections":[],"depth":2},{"title":"v1.0.0 Changelog","local":"v100-changelog","sections":[],"depth":2}],"depth":1}';function Kt(he){return Et(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Yt extends Bt{constructor(h){super(),Dt(this,h,Kt,Ot,Pt,{})}}export{Yt as component};
